@if (multiListData$ | async; as listItems) {
  <sqtm-core-grouped-multi-list
    [listItems]="listItems"
    [activateButton]="activateButton"
    [showButton]="showButton"
    [separateSelectedItems]="true"
    (itemSelectionChanged)="toggleSelectionForColumnsOverlay($event)"
  >
    <div projection="customMenu" class="center-wrapper">
      <div class="flex-row">
        @if (this.isResettingConfiguration$ | async) {
          <i
            class="current-workspace-main-color m-t-2 m-r-5 justify-content-center"
            nz-icon
            nzType="loading"
            nzTheme="outline"
          ></i>
        }
        @if (activateButton) {
          <span
            [ngClass]="showButton ? 'link-button' : 'unclickable'"
            [attr.data-test-element-id]="'reset-configuration'"
            (click)="resetColumnConfiguration()"
          >
            {{ 'sqtm-core.grid.revert-to-default-configuration' | translate }}
          </span>
        }
      </div>
    </div>
    <sqtm-core-dialog-footer>
      <div class="spacer"></div>
      <div
        class="flex-fixed-size flex-row margin-top-10 p-8 full-width"
        style="justify-content: flex-end"
      >
        <button
          [attr.data-test-dialog-button-id]="'confirm'"
          style="margin-left: auto"
          nz-button
          nzType="primary"
          nzSize="small"
          (click)="confirm(listItems)"
        >
          {{ 'sqtm-core.generic.label.apply' | translate }}
        </button>
        <button
          [attr.data-test-dialog-button-id]="'cancel'"
          style="margin-left: 5px"
          nz-button
          nzSize="small"
          nzType="default"
          (click)="cancel()"
        >
          {{ 'sqtm-core.generic.label.cancel' | translate }}
        </button>
      </div>
    </sqtm-core-dialog-footer>
  </sqtm-core-grouped-multi-list>
}
